1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
curl 'https://api.buildprint.ai/agentCompleted' \
--request POST \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"event": "example",
"agent": {
"agentId": "agent_01JXY9AZK4KV",
"kind": "agent",
"status": "queued",
"appId": "app_01JXY9AZK4KV",
"projectId": "project_01JXY9AZK4KV",
"projectName": "example",
"reviewId": "review_01JXY9AZK4KV",
"model": "claude-opus-4.6",
"reasoningEffort": "example",
"permission": "read_only",
"permittedBranches": [
"example"
],
"createdAt": 1,
"updatedAt": 1,
"completedAt": 1,
"lastError": "example",
"history": [
{
"id": "id_01JXY9AZK4KV",
"sequence": 1,
"role": "user",
"content": "example",
"toolName": "example",
"toolParameters": "example",
"attachments": [
"example"
],
"createdAt": 1
}
],
"lifecycle": {
"conversationState": "draft",
"sandboxState": "none",
"queuedTurnCount": 1,
"lastLifecycleEventAt": 1
}
}
}'